package com.glarimy.atlas.api;

import java.io.FileReader;
import java.util.Properties;

public class AtlasFactory {
	public static Atlas getAtlas() throws Exception {
		Properties conf = new Properties();
		conf.load(new FileReader("atlas.properties"));
		String claz = conf.getProperty("atlas.driver",
				"com.glarimy.atlas.api.AtlasUtility");
		return (Atlas) Class.forName(claz).newInstance();
	}
}
