package com.glarimy.atlas.client;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class Sample {

	public static void main(String[] args) throws Exception {
		Class.forName("com.mysql.jdbc.Driver");
		Connection connection = DriverManager.getConnection(
				"jdbc:mysql://localhost:3306/emc", "root", "admin");
		PreparedStatement insert = connection
				.prepareStatement("insert into atlas values(?, ?, ?)");
		PreparedStatement select = connection
				.prepareStatement("select * from atlas where country=?");
		insert.setString(1, "India");
		insert.setLong(2, 1234);
		insert.setString(3, "New Delhi");
		insert.execute();

		select.setString(1, "India");
		ResultSet rs = select.executeQuery();
		while (rs.next()) {
			String countryName = rs.getString("country");
			long population = rs.getLong("population");
			String capital = rs.getString("capital");
			System.out.println(capital);
		}
		insert.close();
		select.close();
		connection.close();
	}

}
