package com.glarimy.bank.client;

import com.glarimy.bank.api.Bank;
import com.glarimy.bank.api.InvalidStateException;
import com.glarimy.bank.api.Person;
import com.glarimy.bank.api.Transaction;

public class Teller {

	public static void main(String[] args) throws Exception {
		Bank bank = (Bank) Class.forName("com.glarimy.bank.biz.GlarimyBank")
				.newInstance();
		int myAccountNumber = bank.openAccount(new Person("Krishna",
				"Bangalore", 9731423166L));

		bank.deposit(myAccountNumber, 100);
		bank.deposit(myAccountNumber, 100);
		bank.deposit(myAccountNumber, 100);
		bank.withdraw(myAccountNumber, 100);

		try {
			bank.close(myAccountNumber);
			bank.withdraw(myAccountNumber, 100);
		} catch (InvalidStateException e) {
			e.printStackTrace();
		}
		for (Transaction transaction : bank.history(myAccountNumber))
			System.out.println(transaction);

		bank.withdraw(myAccountNumber, 100);
	}

}