package com.glarimy.java.lib.biz;

import com.glarimy.java.lib.api.Book;
import com.glarimy.java.lib.api.Library;

public class SimpleLibrary implements Library {
	private Book[] rack;
	private int count;

	public SimpleLibrary() {
		rack = new Book[10];
	}

	@Override
	public void insert(Book book) {
		if (count < 10)
			rack[count++] = book;

	}

	@Override
	public Book search(int isbn) {
		for (int i = 0; i < count; i++)
			if (rack[i].getIsbn() == isbn)
				return rack[i];
		return null;
	}

	@Override
	public Book[] search(String title) {
		Book[] results = new Book[count];
		int index = 0;
		for (int i = 0; i < count; i++)
			if (rack[i].getTitle().contains(title))
				results[index++] = rack[i];

		Book[] matches = new Book[index];
		for (int i = 0; i < index; i++)
			matches[i] = results[i];
		return matches;
	}

}
