package com.glarimy.java.lib.api;

public interface Library {
	public void insert(Book book) throws NoSpaceException, DuplicateException,
			InvalidBookException, LibraryException;

	public Book search(int isbn) throws InvalidKeyException,
			BookNotFoundException, LibraryException;

	public Book[] search(String title) throws InvalidKeyException,
			BookNotFoundException, LibraryException;
}