package com.glarimy.threads;

/**
 * Objective: To demonstrate various facts about a thread
 * Result: Prints the data
 * Experiment: Change the priority, Change the name, Make it a daemon
 */
public class MainThread {
	public static void main(String[] args) {
		Thread main = Thread.currentThread();
		
		System.out.println("Name: " + main.getName());
		System.out.println("Priority: " + main.getPriority());
		System.out.println("ID: " + main.getId());
		System.out.println("State: " + main.getState());
		System.out.println("ThreadGroup: " + main.getThreadGroup());
		System.out.println("Size of ThreadGroup: " + Thread.activeCount());
		System.out.println("Alive? " + main.isAlive());
		System.out.println("Daemon? " + main.isDaemon());
		System.out.println("Interrupted? " + main.isInterrupted());
	}
}