package com.glarimy.atlas.api;

import java.io.Serializable;

public class Country implements Serializable {
	private static final long serialVersionUID = -713528726544814831L;
	String name;
	long population;
	String capital;

	public Country() {

	}

	public Country(String name, long population, String capital) {
		super();
		this.name = name;
		this.population = population;
		this.capital = capital;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public long getPopulation() {
		return population;
	}

	public void setPopulation(long population) {
		this.population = population;
	}

	public String getCapital() {
		return capital;
	}

	public void setCapital(String capital) {
		this.capital = capital;
	}

	@Override
	public String toString() {
		return "Country [name=" + name + ", population=" + population
				+ ", capital=" + capital + "]";
	}

}
