package com.glarimy.bank.biz;

import java.util.ArrayList;

import com.glarimy.bank.api.Person;
import com.glarimy.bank.api.Transaction;

public class Account {
	int accountNumber;
	double accountBalance;
	boolean accountStatus;
	Person customerData;
	ArrayList<Transaction> history;

	public Account() {
		super();
		history = new ArrayList<Transaction>();
	}

	public Account(int accountNumber, double accountBalance,
			boolean accountStatus, Person customerData) {
		super();
		this.accountNumber = accountNumber;
		this.accountBalance = accountBalance;
		this.accountStatus = accountStatus;
		this.customerData = customerData;
		history = new ArrayList<Transaction>();
	}

	public int getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(int accountNumber) {
		this.accountNumber = accountNumber;
	}

	public double getAccountBalance() {
		return accountBalance;
	}

	public void setAccountBalance(double accountBalance) {
		this.accountBalance = accountBalance;
	}

	public boolean isAccountStatus() {
		return accountStatus;
	}

	public void setAccountStatus(boolean accountStatus) {
		this.accountStatus = accountStatus;
	}

	public Person getCustomerData() {
		return customerData;
	}

	public void setCustomerData(Person customerData) {
		this.customerData = customerData;
	}

	public ArrayList<Transaction> getHistory() {
		return history;
	}

	public void setHistory(ArrayList<Transaction> history) {
		this.history = history;
	}

}