package com.glarimy.java.lib.client;

import com.glarimy.java.lib.api.Book;
import com.glarimy.java.lib.api.Library;
import com.glarimy.java.lib.api.Person;

public class Application {
	public static void main(String[] args) throws Exception {
		Book java = new Book(1234, "Java", 23, new Person("James", 12345));
		Book jdbc = new Book(2345, "JDBC", 35, new Person("Gosling", 23456));
		Book jee = new Book(3456, "Java Enterprise", 23, new Person("James",
				12345));

		Library library = (Library) Class.forName(args[0]).newInstance();
		library.insert(jee);
		library.insert(java);
		library.insert(jdbc);
		library.insert(null);

		System.out.println(library.search(1234));
		Book[] results = library.search("Java");
		for (Book book : results)
			System.out.println(book);
	}
}
