package com.glarimy.java.lib.client;

import com.glarimy.java.lib.api.Book;
import com.glarimy.java.lib.api.Library;
import com.glarimy.java.lib.api.Person;
import com.glarimy.java.lib.biz.RobustLibrary;

public class RobustClient {
	public static void main(String[] args){
		Book java = new Book(1234, "Java", 23, new Person("James", 12345));
		Book jdbc = new Book(2345, "JDBC", 35, new Person("Gosling", 23456));
		Book jee = new Book(3456, "Java Enterprise", 23, new Person("James",
				12345));

		Library library = new RobustLibrary();
		try {
			library.insert(jee);
			library.insert(java);
			library.insert(jdbc);
			library.insert(null);
		} catch (Exception e) {
			e.printStackTrace();
		}

		try {
			System.out.println(library.search(1234));
		} catch (Exception e) {
			e.printStackTrace();
		}
		try {
			Book[] results = library.search("Java");
			for (Book book : results)
				System.out.println(book);
		} catch (Exception e) {

		}
	}
}
