package com.glarimy.threads;

/**
 * Objective: To demonstrate implementing and using Runnable
 * Result: Child thread prints 10 numbers
 * Experiment: NONE
 */
public class RunnableCounter implements Runnable{
	private int limit;

	public RunnableCounter(int limit) {
		this.limit = limit;
	}

	@Override
	public void run() {
		int number = 0;
		while (limit-- > 0)
			System.out.format("RunnableCounter: %d%n", number++);
	}
	
	public static void main(String[] args) {
		Runnable job = new RunnableCounter(10);
		Thread thread = new Thread(job);
		thread.start();
	}
}