package com.glarimy.threads;

/**
 * Objective: To demonstrate extending thread
 * Result: The child thread prints numbers
 * Experiment: None
 */
public class ThreadCounter extends Thread {
	private int limit;

	public ThreadCounter(int limit) {
		this.limit = limit;
	}

	@Override
	public synchronized void start() {
		System.out.println("Starting the CountingThread");
		super.start();
	}

	@Override
	public void run() {
		int number = 0;
		while (limit-- > 0)
			System.out.format("CountingThread: %d%n", number++);
	}
	
	public static void main(String[] args) {
		ThreadCounter thread = new ThreadCounter(10);
		thread.start();
	}
}